<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_67a0d624aeb" . "cceb0abd5ce5" . "6a53ff06f" => base64_decode("ZGF" . "0ZQ" . "=="), "_c8b38c7133c2e8460c1cca42230ac6c" . "2" => base64_decode("dGltZ" . "Q=="), "_5e30c4717ced36cff9e93e19a5c576" . "cc" => base64_decode("aXNf" . "c3Ry" . "aW5n"), "_7f628626dd1d55c71" . "b1fc0932ffd1d2c" => base64_decode("aXNfY" . "XJyYX" . "k="), "_aed8da0f19091214b" . "78f80351048517c" => base64_decode("c3Ry" . "bGVu"));
use Claromentis\Core\Date\DateFormatter;




class TypeDateTime implements ValueType
{
    
    
    
    
    
    
    
    
    public function Serialize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_7f628626dd" . "1d55c71b1fc" . "0932ffd1d2c"]($value)) {
            $_67a0d624aebcceb0abd5ce56a53ff06f = \Date::CreateFrom($value[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_67a0d624aebcceb0abd5ce56a5" . "3ff06f"]], $value[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_c8b38c7133c2e8460" . "c1cca42230ac6c2"]]);
        } else {
            $_67a0d624aebcceb0abd5ce56a53ff06f = \Date::CreateFrom($value->date, $value->time);
        }
        if (!$_67a0d624aebcceb0abd5ce56a53ff06f) {
            throw new \Exception();
        }
        
        
        $_0dbe978d64aca9dbe1aa157ff74b5602 = (string) $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_TIMESTAMP);
        return $_0dbe978d64aca9dbe1aa157ff74b5602;
    }
    public function Unserialize($value)
    {
        if (empty($value)) {
            return null;
        }
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date($value);
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_67a0d624aebcceb0abd5ce56a53ff0" . "6f"] => $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DateFormatter::SHORT_DATE), $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_c8b38c7" . "133c2e84" . "60c1cca4" . "2230ac6c" . "2"] => $_67a0d624aebcceb0abd5ce56a53ff06f->getDate(DATE_FORMAT_CLA_TIME)];
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_5e30c4717ced36cff9e93e19a5c576" . "cc"]($value) && $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_aed8da0f19091214b" . "78f80351048517c"]($value) === 14) {
            $value = $this->Unserialize($value);
        }
        return $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}